*CTTITEM_P conducts item analysis for polytomous data
*It produces total score distribution statistics, reliability statistics,
*item-mean and score point frequence tables for each item.
*All the changes that you need to make to this syntax to fit 
*into your own data structure are specified within the syntax and in 
*the manual as well. Pay attention to the setence behind '*'.

*INPUT DATA SPECIFICATIOIN
*text format.
*First line: number of score categories.
*Second line: scoring method. '1' for normal scoring, and '0' for reverse scoring.
*Start from third line: examinee responses/scores with each line representing one case
*Use space to indicate missing value.
*Refer to the manual for more details.

*SYNTAX CHANGE
*File locations--'C:\temp'. Most of the changes are in file locations. An easy way is
  *to use the "replace all" function under the "Edit" menu, and replace all the "C:\temp"
  *with your designated location.
*Variable names--IT1 TO IT22. Change them to your own item names.

***************************************************************************************.
*Specify the file location and file name for your own original dataset.
*Name your items and change 'IT1 TO IT22' accordingly. If items 
   *are not named consecutively, specify the names seperately.
*'1-22' indicate the location of the variables in your dataset, change that accordingly.
******************************************************************************************.
DATA LIST FILE='C:\temp\polyitem.DAT'
   / IT1 TO IT22 1-22.

MISSING VALUES ALL ( ).

SET MXLOOPS=300 /MPRINT=NO.

*****************************************************************************.
*Change variable names, be consistent with the previous statement.
*****************************************************************************.
MATRIX.
GET RAW
  /VARIABLES=IT1 TO IT22 
  /FILE=* 
  /MISSING=ACCEPT
  /SYSMIS=-9.

COMPUTE NCASE=NROW(RAW)-2.
COMPUTE NITEM=NCOL(RAW).
COMPUTE SCORE=MAKE(NCASE,NITEM,0).


LOOP N=3 TO NROW(RAW).
- LOOP I=1 TO NITEM.
- DO IF RAW(N,I)=-9.
- COMPUTE SCORE(N-2,I)=-9.
- ELSE IF RAW(2,I)=1.
-  COMPUTE SCORE((N-2),I)=RAW(N,I).
- ELSE IF RAW(2,I)=0.
-  COMPUTE SCORE((N-2),I)=RAW(1,I)+1-RAW(N,I).
-END IF.
-END LOOP.
END LOOP.

******COMPUTE TOTAL SCORE
***************************************************************************.
*Change file location 'C:\temp' and variable names 'IT1 to IT22'.
*Be consistent with previous statements.
**************************************************************************.
SAVE SCORE
/OUTFILE='C:\temp\ITEMSCORE.SAV'
/VARIABLES=IT1 TO IT22.


END MATRIX.


********************************************************************************************************************************************
********************************************************************************************************************************************


**********************************.
*Change file location 'C:\temp'.
**********************************.
GET FILE='C:\temp\ITEMSCORE.SAV'.
TITLE '****************************************************'.
TITLE '******TOTAL SCORE DISTRIBUTION*************'.
TITLE '****************************************************'.
EXECUTE.

*****************************************.
*Change variable names 'IT1 to IT22'.
******************************************.
COMPUTE TOTSC=SUM(IT1 TO IT22). 

DESCRIPTIVES
  VARIABLES=TOTSC
  /STATISTICS=MEAN STDDEV MIN MAX SKEWNESS KURTOSIS.
EXECUTE.


MISSING VALUE ALL (-9).

*****************************************.
*Change variable names 'IT1 to IT22'.
******************************************.
RELIABILITY
  /VARIABLES=IT1 TO IT22
  /FORMAT=NOLABELS
  /SCALE(ALPHA)=ALL/MODEL=ALPHA
  /SUMMARY=TOTAL CORR .
EXECUTE.


TITLE '*******************************************************'.
TITLE '********ITEM MEAN FOR EVERY ITEM**************'.
TITLE '*******************************************************'.
EXECUTE.
*****************************************.
*Change variable names 'IT1 to IT22'.
******************************************.
DESCRIPTIVES
  VARIABLES=IT1 TO IT22
  /STATISTICS=MEAN.
EXECUTE.

FORMAT ALL (F1.0).

TITLE '*********************************************************'.
TITLE '****SCORE FREQENCY DISTRIBUTION***************'.
TITLE '*********************************************************'.
*****************************************.
*Change variable names 'IT1 to IT22'.
******************************************.
EXECUTE.
FREQUENCIES
  VARIABLES=IT1 TO IT22.
EXECUTE.
